# Uses of Class
com.usatiuk.dhfs.repository.PingRequest

Packages that use PingRequest
Package
Description
com.usatiuk.dhfs.repository
com.usatiuk.dhfs.rpc

## Uses of PingRequest in com.usatiuk.dhfs.repository

Methods in com.usatiuk.dhfs.repository that return PingRequest
Modifier and Type
Method
Description
`PingRequest`
PingRequest.Builder.`build()`
`PingRequest`
PingRequest.Builder.`buildPartial()`
`static PingRequest`
PingRequest.`getDefaultInstance()`
`PingRequest`
PingRequest.Builder.`getDefaultInstanceForType()`
`PingRequest`
PingRequest.`getDefaultInstanceForType()`
`static PingRequest`
PingRequest.`parseDelimitedFrom(InputStream input)`
`static PingRequest`
PingRequest.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingRequest`
PingRequest.`parseFrom(byte[] data)`
`static PingRequest`
PingRequest.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingRequest`
PingRequest.`parseFrom(com.google.protobuf.ByteString data)`
`static PingRequest`
PingRequest.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingRequest`
PingRequest.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static PingRequest`
PingRequest.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingRequest`
PingRequest.`parseFrom(InputStream input)`
`static PingRequest`
PingRequest.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PingRequest`
PingRequest.`parseFrom(ByteBuffer data)`
`static PingRequest`
PingRequest.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.repository that return types with arguments of type PingRequest
Modifier and Type
Method
Description
`com.google.protobuf.Parser<PingRequest>`
PingRequest.`getParserForType()`
`static io.grpc.MethodDescriptor<PingRequest,PingReply>`
DhfsObjectSyncGrpcGrpc.`getPingMethod()`
`static com.google.protobuf.Parser<PingRequest>`
PingRequest.`parser()`
Methods in com.usatiuk.dhfs.repository with parameters of type PingRequest
Modifier and Type
Method
Description
`PingRequest.Builder`
PingRequest.Builder.`mergeFrom(PingRequest other)`
`static PingRequest.Builder`
PingRequest.`newBuilder(PingRequest prototype)`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpc.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpcBean.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
DhfsObjectSyncGrpcClient.`ping(PingRequest request)`
`default void`
DhfsObjectSyncGrpcGrpc.AsyncService.`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`
`PingReply`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcBlockingStub.`ping(PingRequest request)`
`com.google.common.util.concurrent.ListenableFuture<PingReply>`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcFutureStub.`ping(PingRequest request)`
`void`
DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcStub.`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`
`io.smallrye.mutiny.Uni<PingReply>`
MutinyDhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub.`ping(PingRequest request)`

## Uses of PingRequest in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc with parameters of type PingRequest
Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<PingReply>`
RemoteObjectServiceServer.`ping(PingRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
RemoteObjectServiceServerImpl.`ping(PeerId from, PingRequest request)`